From 457dc4443cdbfeeaef521caa651ef9830e348d27 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sun, 25 Sep 2022 13:32:43 +0200
Subject: [PATCH 01/13] gnu: Add clojure-camel-snake-kebab

* gnu/packages/clojure.scm (clojure-camel-snake-kebab): New variable.
---
 gnu/packages/clojure.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/clojure.scm b/gnu/packages/clojure.scm
index 622e43ac48..f844f8310e 100644
--- a/gnu/packages/clojure.scm
+++ b/gnu/packages/clojure.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2019 Tobias Geerinckx-Rice <me@tobias.gr>
 ;;; Copyright © 2019 Jesse Gibbons <jgibbons2357+guix@gmail.com>
 ;;; Copyright © 2020 Ludovic Courtès <ludo@gnu.org>
+;;; Copyright © 2022 Baptiste Strazzulla <bstrazzull@hotmail.fr>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -610,6 +611,28 @@ (define-public clojure-tools-deps-alpha
 dependency graph expansion and the creation of classpaths.")
     (license license:epl1.0)))
 
+(define-public clojure-camel-snake-kebab
+  (package
+    (name "clojure-camel-snake-kebab")
+    (version "0.4.3")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/clj-commons/camel-snake-kebab")
+                    (commit (string-append "version-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "13zr58x4ahzms33hdiibfillwaj9sqb751kar2rq9qmqjkd1pglm"))))
+    (build-system clojure-build-system)
+    (arguments
+     '( #:doc-dirs '()))
+    (home-page "https://github.com/clj-commons/camel-snake-kebab")
+    (synopsis "Clojure[Script] library for word case conversions")
+    (description "Clojure-camel-snake-kebab is a Clojure[Script] library for
+word case conversions")
+    (license license:epl1.0)))
+
 (define-public clojure-tools-gitlibs
   (package
     (name "clojure-tools-gitlibs")
-- 
2.38.0

